import 'package:car_customer_app/config/routes.dart';
import 'package:car_customer_app/generated/locale_keys.g.dart';
import 'package:car_customer_app/utils/navigator.dart';
import 'package:car_customer_app/utils/utils.dart';
import 'package:car_customer_app/widgets/app_bar.dart';
import 'package:car_customer_app/widgets/show_fill_button.dart';
import 'package:car_customer_app/extensions/string_extensions.dart';
import 'package:car_customer_app/extensions/int_extensions.dart';
import 'package:car_customer_app/extensions/widget_extensions.dart';
import 'package:easy_localization/src/public_ext.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

import '../../classes/colors.dart';

class RegisterSelectionPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      // appBar: appBar(title: LocaleKeys.login.tr()),
      body: Container(
        width: double.infinity,
        height: double.infinity,
        child: Column(
          children: [
            mFlex(4),
            SvgPicture.asset("assets/images/logo.svg"),
            mFlex(3),
            LocaleKeys.welcomeMessage.tr().toText20(),
            LocaleKeys.welcomeDes.tr().toText14(color: MyColors.lightTextColor),
            mFlex(4),
            ShowFillButton(
              title: LocaleKeys.login.tr(),
              maxWidth: double.infinity,
              horizontalMargin: 20,
              onPressed: () {
                navigateWithName(context, AppRoutes.loginWithPassword);
              },
            ),
            20.height,
            ShowFillButton(
              title: LocaleKeys.signUp.tr(),
              maxWidth: double.infinity,
              isFlatButton: true,
              txtColor: Colors.black,
              onPressed: () {
                navigateWithName(context, AppRoutes.register);
              },
            ),
            10.height,
            // ShowFillButton(
            //   title: LocaleKeys.forgetPassword.tr(),
            //   maxWidth: double.infinity,
            //   isFlatButton: true,
            //   isBold: false,
            //   txtColor: MyColors.darkPrimaryColor,
            //   onPressed: () {
            //     navigateWithName(context, AppRoutes.forgetPassword);
            //   },
            // ),
            mFlex(2),
            SvgPicture.asset(
              "assets/images/bn_logo.svg",
              fit: BoxFit.cover,
            )
          ],
        ),
      ),
    );
  }
}
